/* LINTLIBRARY */
#include "copyright.h"
#include "port.h"
#include "utility.h"

/*
 *  util_strsav -- save a copy of a string
 */
char *
util_strsav(const char *s)
{
    if (s==NULL ) return NULL; /** MM: ak chyba parametra */
    char *dst = ALLOC(char, strlen(s)+1);
    if (dst==NULL) return NULL; /** MM: ak chyba alokacie */
    strncpy(dst, s, strlen(s)+1);
	return dst;
}
